<?php

/**
 *
 * $Id: media.php,v 1.5 2005/01/16 23:13:31 dgorski Exp $
 *
 * This file is part of coWiki. coWiki is free software under the terms of
 * the GNU General Public License (GPL). Read the LICENSE file. If you did
 * not receive a copy of the license and are not able to obtain it through
 * the internet, please send a note to <license@cowiki.org> so we can mail
 * you a copy immediately.
 *
 * @package    htdocs
 * @access     public
 *
 * @author     Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @copyright  (C) Daniel T. Gorski, {@link http://www.develnet.org}
 * @license    http://www.gnu.org/licenses/gpl.html
 * @version    $Revision: 1.5 $
 *
 */

/**
 * Basic imports, checks and inits 
 *
 * @package  htdocs
 * @access   public
 *
 * @author   Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @since    coWiki 0.3.0
 *
 * @todo     [D11N]  Complete documentation
 */

    /**
     * Include once "core.base.php"
     *
     * @todo  [D11N]  Fix description
     */
    include_once 'core.base.php';

    // Output of the APOD (Astronomy Picture Of the Day) picture
    if (isset($_GET['name']) && $_GET['name'] == 'apod') {
        $sFile = $Context->getTempFileNamePath() . 'apod';

        if (is_readable($sFile)) {
            $aImg = @getimagesize($sFile);
        }

        if (isset($aImg['mime'])) {
            header('Content-type: ' . $aImg['mime']);
            header('Content-Length: ' . filesize($sFile));
            RuntimeContext::getInstance()->readTempFile('apod' , true);
            header('Connection: close');
        }
        exit;
    }

?>
